Skip to main content
GET
/
customers
/
{customer_id}
/
verifications
/
{verification_id}
Get verification result
curl --request GET \
  --url https://api-sandbox.synctera.com/v0/customers/{customer_id}/verifications/{verification_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-sandbox.synctera.com/v0/customers/{customer_id}/verifications/{verification_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-sandbox.synctera.com/v0/customers/{customer_id}/verifications/{verification_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "result": "ACCEPTED",
  "verification_time": "2023-11-07T05:31:56Z",
  "verification_type": "kyc",
  "id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
  "issues": [
    "R186: Global Watchlist sources selected are correlated with the input identifiers"
  ],
  "raw_response": {
    "provider": "SOCURE",
    "raw_data": "{}"
  },
  "vendor_info": {
    "content_type": "text/xml",
    "vendor": "IDOLOGY",
    "xml": "<string>",
    "details": [
      {
        "code": "R186",
        "description": "Global Watchlist sources selected are correlated with the input identifiers"
      }
    ]
  }
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

customer_id
string<uuid>
required

The customer's unique identifier

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

verification_id
string<uuid>
required

Verification's unique identifier.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Response

Verification result.

Verification result

result
enum<string>
required

The determination of this verification.

Available options:
ACCEPTED,
PROVIDER_FAILURE,
PROVISIONAL,
REJECTED,
REVIEW
Example:

"ACCEPTED"

verification_time
string<date-time>
required

The date and time the verification was completed.

verification_type
enum<string>
required

The type of check run on the customer.

Available options:
addressrisk,
alertlist,
decision,
documentverification,
emailrisk,
fraud,
kyc,
phonerisk,
social,
synthetic,
watchlistplus,
watchlistpremier,
watchliststandard
Example:

"kyc"

id
string<uuid>
read-only

Unique ID for this verification result.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

issues
string[]
deprecated
read-only

List of potential problems found. These are subject to change.

raw_response
Raw response from providers. · object
deprecated
vendor_info
object

The information provided to Synctera from the vendor. Interpretation of this object is up to the client.